<?php
namespace Setka\Editor\Admin\Service;

use Setka\Editor\Service\SetkaAccount\SetkaEditorAccount;

class Upgrader
{
    const KEY_PLUGINS = 'plugins';

    /**
     * @var SetkaEditorAccount
     */
    private $setkaEditorAccount;

    /**
     * @var string
     */
    private $basename;

    /**
     * @var array
     */
    private $options;

    /**
     * Upgrader constructor.
     *
     * @param SetkaEditorAccount $setkaEditorAccount
     * @param string $basename
     */
    public function __construct(SetkaEditorAccount $setkaEditorAccount, $basename)
    {
        $this->setkaEditorAccount = $setkaEditorAccount;
        $this->basename           = $basename;
    }

    public function onEachUpdate(array $options)
    {
        $this->options = $options;

        if (!$this->isSetkaPluginUpdating()) {
            return $this;
        }

        try {
            if ($this->setkaEditorAccount->isLoggedIn()) {
                $this->setkaEditorAccount->reSignIn();
            } else {
                $this->setkaEditorAccount->getSignIn()->signInAnonymous();
            }
        } catch (\Exception $exception) {
        }
    }

    /**
     * @return bool
     */
    public function isSetkaPluginUpdating()
    {
        $result = array_search($this->basename, $this->options[self::KEY_PLUGINS], true);

        if (is_bool($result)) {
            return $result;
        }

        return true;
    }
}
