<?php
namespace Setka\Editor\Service\AMP\AnimationSanitizer\Converters;

use Setka\Editor\Service\AMP\AnimationSanitizer\InitialStyles;

class KeyframesFromAttributes
{
    const OPACITY = 'opacity';

    const TRANSFORM = 'transform';

    /**
     * @var InitialStyles
     */
    private $initialStyles;

    /**
     * @param InitialStyles $initialStyles
     */
    public function __construct(InitialStyles $initialStyles)
    {
        $this->initialStyles = $initialStyles;
    }

    /**
     * @return array
     */
    public function getKeyframes()
    {
        return array(
            array(
                self::OPACITY => $this->initialStyles->getOpacity(),
                self::TRANSFORM => $this->initialStyles->getTransform(),
            ),
            array(
                self::OPACITY => 1,
                self::TRANSFORM => 'none',
            ),
        );
    }
}
