<?php
namespace Setka\Editor\Service;

use Setka\Editor\Admin\Service\WPQueryFactory;
use Setka\Editor\PostMetas\UseEditorPostMeta;
use Setka\Editor\Service\AMP\AMP;

class QuerySnifferFactory
{
    /**
     * @param $gutenbergSupport bool
     * @param AMP $amp
     * @param DataFactory $dataFactory
     * @param ScriptStyles $scriptStyles
     */
    public static function create(
        $gutenbergSupport,
        AMP $amp,
        DataFactory $dataFactory,
        ScriptStyles $scriptStyles
    ) {
        return new QuerySniffer(
            $gutenbergSupport,
            WPQueryFactory::getGlobalOrEmpty(),
            $amp,
            $dataFactory->create(UseEditorPostMeta::class),
            $scriptStyles
        );
    }
}
